AutoLock< T > Class Template Reference

Automatically acquire and release lock within enclosing scope. More...

`#include <PtexMutex.h>`

## Public Member Functions

| AutoLock (T &m)
| ~AutoLock ()

## Private Attributes

T & | _m

## Detailed Description

template<class T>
class AutoLock< T >

Automatically acquire and release lock within enclosing scope.

Definition at line 43 of file PtexMutex.h.

## Constructor & Destructor Documentation

## AutoLock()

template<class T >

AutoLock< T >::AutoLock | ( | T & | m | ) |

inline

Definition at line 45 of file PtexMutex.h.

References AutoLock< T >::_m.

## ~AutoLock()

template<class T >

AutoLock< T >::~AutoLock | ( |  | ) |

inline

Definition at line 46 of file PtexMutex.h.

References AutoLock< T >::_m.

## Member Data Documentation

## _m

template<class T >

T& AutoLock< T >::_m

private

Definition at line 48 of file PtexMutex.h.

Referenced by AutoLock< T >::AutoLock(), and AutoLock< T >::~AutoLock().

The documentation for this class was generated from the following file:

- PtexMutex.h